%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-power-manager
Version:	3.6.0
Release:	%mkrel 3
Summary:	GNOME Power Manager
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gnome-power-manager/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 0.6.0
BuildRequires:	pkgconfig(cairo) >= 1.0.0
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	xmlto
BuildRequires:	docbook-utils
Requires:	gnome-mime-data
Requires:	gnome-icon-theme
Requires:	upower

%description
GNOME Power Manager uses the information and facilities provided by Upower
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q

#fix OnlyShowIn in .desktop file
sed -i -e 's|Unity;||g' data/gnome-power-statistics.desktop.in.in

%build
%configure2_5x \
	--disable-schemas-compile \
	--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}
 
%files -f %{name}.lang
%doc AUTHORS NEWS README MAINTAINERS
%{_bindir}/*
%{_datadir}/applications/gnome-power-statistics.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/gnome-*
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 352188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 colin <colin> 3.6.0-2.mga3
+ Revision: 307356
- Change require to upower rather than devicekit-power which is obsolete

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297677
- new version 3.6.0

  + fwang <fwang>
    - drop invalid reqs

* Fri Aug 24 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283674
- new version 3.5.90

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226694
- new version 3.4.0
- new version 3.3.92

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184390
- new version 3.3.3
- clean .spec a bit

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155716
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148789
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145771
- fix file list
- new version 3.1.92

* Wed Aug 31 2011 wally <wally> 3.1.90-2.mga2
+ Revision: 137148
- rebuild due to package eating monster called BS

* Wed Aug 31 2011 wally <wally> 3.1.90-1.mga2
+ Revision: 137055
- fix .desktop file (remove Unity from OnlyShowIn category)
- new version 3.1.3
- clean BRs and use pkconfig() style
- drop unneeded post script
- clean .spec

  + fwang <fwang>
    - update file list
    - new version 3.1.90

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118364
- New version 3.1.2

* Sun Jun 19 2011 cjw <cjw> 3.0.2-1.mga2
+ Revision: 109530
- 3.0.2

* Thu Jan 20 2011 pterjan <pterjan> 2.32.0-1.mga1
+ Revision: 25752
- Fix BuildRequires for splitted out libcanberra-gtk
- imported package gnome-power-manager

